aboutsummaryrefslogtreecommitdiffstats
path: root/main/lua-uuid/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-03-02 09:48:15 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-03-02 09:48:15 +0000
commita324436f633d96f57f3582077e12f922024fafd8 (patch)
tree283275335ddc9b710481648731b37bfaa7d9d227 /main/lua-uuid/APKBUILD
parent9a0c738a493841c30e537851f238c22b0826a2d6 (diff)
downloadaports-a324436f633d96f57f3582077e12f922024fafd8.tar.gz
aports-a324436f633d96f57f3582077e12f922024fafd8.tar.bz2
aports-a324436f633d96f57f3582077e12f922024fafd8.tar.xz
main/lua-uuid: new aport
Lua library generating universally unique identifiers based on libuuid http://www.tecgraf.puc-rio.br/~lhf/ftp/lua/#luuid
Diffstat (limited to 'main/lua-uuid/APKBUILD')
-rw-r--r--main/lua-uuid/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/main/lua-uuid/APKBUILD b/main/lua-uuid/APKBUILD
new file mode 100644
index 0000000000..0f8f899be1
--- /dev/null
+++ b/main/lua-uuid/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor:
+# Maintainer:
+pkgname=lua-uuid
+pkgver=5.1
+pkgrel=0
+pkgdesc="Lua library generating universally unique identifiers based on libuuid"
+url="http://www.tecgraf.puc-rio.br/~lhf/ftp/lua/#luuid"
+license="Public Domain"
+depends=
+makedepends="lua-dev util-linux-ng-dev"
+install=
+subpackages=
+source="http://www.tecgraf.puc-rio.br/~lhf/ftp/lua/5.1/luuid.tar.gz"
+
+_builddir="$srcdir"/uuid
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ make so || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -Dm755 uuid.so "$pkgdir"/usr/lib/lua/5.1/uuid.so
+}
+
+md5sums="75f2e8c808c0fb375d9ec5255fd5d4de luuid.tar.gz"